%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate signal-hook

Name:           rust-signal-hook0.1
Version:        0.1.17
Release:    1%{?dist}
Summary:        Unix signal handling

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/signal-hook
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Unix signal handling.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages which
use the "futures" feature of the "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages which
use the "mio" feature of the "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-0_7-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-0_7-support-devel %{_description}

This package contains library source intended for building other packages which
use the "mio-0_7-support" feature of the "%{crate}" crate.

%files       -n %{name}+mio-0_7-support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-support-devel %{_description}

This package contains library source intended for building other packages which
use the "mio-support" feature of the "%{crate}" crate.

%files       -n %{name}+mio-support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio_0_7-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio_0_7-devel %{_description}

This package contains library source intended for building other packages which
use the "mio_0_7" feature of the "%{crate}" crate.

%files       -n %{name}+mio_0_7-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-reactor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-reactor-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-reactor" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-reactor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-support-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio-support" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-support-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.17-1
- initial build
